#ifndef FUNCTIONS_H
#define FUNCTIONS_H

#include<stdlib.h>
#include<stdio.h>
#include<math.h>
#include<assert.h>
#include "functions.h"
#define RND (double)rand()/RAND_MAX

void rnd_x(double* a, double* b, double* x, int dim);
double volume(double* a, double* b, int dim);
double f(double* x);
double g(double* x);
double corput_number(int base, int number);
double plain_monte_carlo(double* a, double* b, double f(double* x), int dim, int N, double* err);
double quasi_monte_carlo(double* a, double* b, double f(double* x), int dim, int N, double* err);
double stratified_monte_carlo(double* a, double* b, double f(double* x), int dim, int N, double* err);




#endif